Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class ConfigurationAuthorizationFacade

    java.lang.Object
      com.pmease.quickbuild.model.ConfigurationAuthorizationFacade

All Implemented Interfaces:
  java.io.Serializable

public class ConfigurationAuthorizationFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for ConfigurationAuthorization. This class maintains permission relationship between `Group` and `Configuration`

See Also:
  Serialized Form

Constructor Summary
`ConfigurationAuthorizationFacade()`

Method Summary
`java.lang.Long` | `getConfiguration()` Specify the configuration subtree you want to set permission on.
`java.util.Date` | `getCreateDate()`
`int` | `getEntityVersion()`
`java.lang.Long` | `getGroup()` Get group of this authorization.
`java.lang.Long` | `getId()` Get identifer of this object.
`java.lang.String` | `getPermission()` Specify permission for current configuration.
`void` | `setConfiguration(java.lang.Long configuration)`
`void` | `setCreateDate(java.util.Date createDate)`
`void` | `setEntityVersion(int entityVersion)`
`void` | `setGroup(java.lang.Long group)`
`void` | `setId(java.lang.Long id)`
`void` | `setPermission(java.lang.String permission)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationAuthorizationFacade

    public ConfigurationAuthorizationFacade()

Method Detail

### getGroup

    public java.lang.Long getGroup()

  Get group of this authorization.

### setGroup

    public void setGroup(java.lang.Long group)

### getConfiguration

    public java.lang.Long getConfiguration()

  Specify the configuration subtree you want to set permission on.
  NOTE: If a particular configuration is affected by multiple permission lines, the actual permission will be the maximum possible permission set on that configuration.

### setConfiguration

    public void setConfiguration(java.lang.Long configuration)

### getPermission

    public java.lang.String getPermission()

  Specify permission for current configuration.
  View: Be able to view and access artifacts of all configurations under the specified subtree. Build: Be able to build all configurations under the specified subtree.
  Admin: Be able to administrate all configurations unde the specified subtree.

### setPermission

    public void setPermission(java.lang.String permission)

### getCreateDate

    public java.util.Date getCreateDate()

### setCreateDate

    public void setCreateDate(java.util.Date createDate)

### getId

    public java.lang.Long getId()

  Get identifer of this object.

### setId

    public void setId(java.lang.Long id)

### getEntityVersion

    public int getEntityVersion()

### setEntityVersion

    public void setEntityVersion(int entityVersion)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.